/**
Vue router does not support external links yet and will only append a url to its current root path.
You can/should replace the usage of this component when Vue Router supports external links by itself.
13.06.18
**/

<template>
  <a :href="to" :type="type" :target="target" :rel="rel" :download="download" v-if="isExternal">
    <slot></slot>
  </a>
  <router-link :to="to" :rel="rel" :exact="exact" v-else>
    <slot></slot>
  </router-link>
</template>

<script>
export default {
  props: {
    to: {
      default: '',
      required: false,
    },
    type: {
      default: null,
      required: false,
    },
    target: {
      default: '_self',
      required: false,
    },
    rel: {
      default: 'noopener',
      required: false,
    },
    download: {
      default: null,
      required: false,
    },
    exact: {
      default: false,
      required: false,
    },
  },
  computed: {
    isExternal() {
      return typeof this.to !== 'object';
    },
  },
};
</script>

<style lang="scss" scoped>
</style>
